# sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, nil, nil > Class Template Reference

Convenience wrapper for the numbered sigc::signal5 template. More...

`#include <sigc++/signal.h>`

Inheritance diagram for sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, nil, nil >:
[legend]

List of all members.

## Classes

class | accumulated
| Convenience wrapper for the numbered sigc::signal5 template. More...

## Public Member Functions

| signal (const signal& src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
class sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, nil, nil >

Convenience wrapper for the numbered sigc::signal5 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::signal template for 5 argument(s).